
Redmine - Feature #14332

[Repository] Make "view file" the default

2013-06-23 21:52 - Anonymous

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Hi,

when browsing any repository it is quite annoying that the history is shown when clicking on a file name.

My suggestion (Report last commit for files and directories -> enabled):

Show the file's content when clicking on its name.

Show the file history when clicking on its revision id.

Report last commit for files and directories -> disabled:

Just show the content when clicking on its name.

I think the content of the files is much more important when browsing a repository than the history. The history can be shown by

clicking on "history", or -- as I have suggested -- by clicking on the ID link.

Related issues:

Related to Redmine - Feature #2372: Ideas for the Revisions page New 2008-12-22

Related to Redmine - Feature #1424: improve repository viewer New 2008-06-11

Related to Redmine - Feature #25999: View repository content by default (inst... Closed

History

#1 - 2013-06-24 08:42 - Anonymous

Sorry I forgot...

I'm using Redmine version

Environment:

  Redmine version                          2.3.1.stable

  Ruby version                             2.0.0 (x86_64-linux)

  Rails version                            3.2.13

  Environment                              production

  Database adapter                         PostgreSQL

#2 - 2013-06-25 09:04 - Toshi MARUYAMA

- Category set to SCM

#3 - 2013-06-25 09:14 - Toshi MARUYAMA

- Related to Feature #2372: Ideas for the Revisions page  added

#4 - 2013-06-25 09:15 - Toshi MARUYAMA

- Related to Feature #1424: improve repository viewer added

#5 - 2017-05-20 02:52 - Go MAEDA

- Related to Feature #25999: View repository content by default (instead of the history) added

#6 - 2019-06-02 07:20 - Go MAEDA

- Status changed from New to Closed
- Resolution set to Duplicate

The repository browser shows file contents by default since Redmine 3.4.0 (#25999).
